image: openjdk:8-jdk-slim

before_script:
  - chmod +x mvnw

stages:
  - test
  - build
  - stage

build:
  stage: build
  script:
    - ./mvnw -B install -DskipTests

dependency_scanning:
  image: docker:stable
  stage: security
  variables:
    DOCKER_DRIVER: overlay2
  allow_failure: true
  services:
    - docker:stable-dind
  script:
    - export SP_VERSION=$(echo "$CI_SERVER_VERSION" | sed 's/^\([0-9]*\)\.\([0-9]*\).*/\1-\2-stable/')
    - docker run
      --env DEP_SCAN_DISABLE_REMOTE_CHECKS="${DEP_SCAN_DISABLE_REMOTE_CHECKS:-false}"
      --volume "$PWD:/code"
      --volume /var/run/docker.sock:/var/run/docker.sock
      "registry.gitlab.com/gitlab-org/security-products/dependency-scanning:$SP_VERSION" /code
  artifacts:
    paths:
      - gl-dependency-scanning-report.json
    reports:
      dependency_scanning: gl-dependency-scanning-report.json

unit:
  stage: test
  script:
    - ./mvnw -B test

e2e:
  stage: test
  script:
    - ./mvnw -B test -Dtests.tags="e2e"

